import React from 'react';
export interface IAccountTagProps {
    account: string;
    className?: string;
}
export interface IAccountTagState {
    isProdAccount: boolean;
}
export declare class AccountTag extends React.Component<IAccountTagProps, IAccountTagState> {
    private static cache;
    state: {
        isProdAccount: boolean;
    };
    private mounted;
    componentWillUnmount(): void;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IAccountTagProps): void;
    private updateAccount;
    render(): JSX.Element;
}
